root = true

[*]
charset              = utf-8
end_of_line          = lf
indent_size          = 2
indent_style         = space
insert_final_newline = true
max_line_length      = 120
tab_width            = 2

[*.vue]
ij_continuation_indent_size                         = 2
ij_vue_indent_children_of_top_level                 = template, script, style
ij_vue_interpolation_new_line_after_start_delimiter = true
ij_vue_interpolation_new_line_before_end_delimiter  = true
ij_vue_interpolation_wrap                           = off
ij_vue_keep_indents_on_empty_lines                  = false
ij_vue_spaces_within_interpolation_expressions      = true
ij_vue_uniform_indent                               = true

[.editorconfig]
ij_editorconfig_align_group_field_declarations     = true
ij_editorconfig_space_after_colon                  = false
ij_editorconfig_space_after_comma                  = true
ij_editorconfig_space_before_colon                 = false
ij_editorconfig_space_before_comma                 = false
ij_editorconfig_spaces_around_assignment_operators = true

[{*.cjs, *.js}]
ij_continuation_indent_size                                     = 2
